Name:           tellico
Version:        2.3
Release:        1%{?dist}
Summary:        A collection manager

Group:          Applications/Multimedia
License:        GPLv2
URL:            http://tellico-project.org/
Source0:        http://tellico-project.org/files/tellico-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  cmake >= 2.6.2-3
BuildRequires:  zlib-devel
BuildRequires:  libpng-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libxslt-devel
BuildRequires:  libxml2-devel
BuildRequires:  gettext
BuildRequires:  libgcrypt-devel
BuildRequires:  libart_lgpl-devel
BuildRequires:  taglib-devel
BuildRequires:  libyaz-devel
BuildRequires:  exempi-devel
BuildRequires:  poppler-qt-devel
BuildRequires:  kdelibs4-devel
BuildRequires:  qimageblitz-devel
BuildRequires:  poppler-qt4-devel
BuildRequires:  kdepimlibs-devel
BuildRequires:  kdemultimedia-devel
BuildRequires:  kdegraphics-devel
BuildRequires:  libv4l-devel

%if 0%{?fedora} < 7
BuildRequires: tcp_wrappers
%else
BuildRequires: tcp_wrappers-devel
%endif

Requires:       python

%description
Tellico is a collection manager for KDE. It includes default collections for
books, bibliographies, comic books, videos, music, coins, stamps, trading
cards, and wines, and also allows custom collections. Unlimited user-defined
fields are allowed. Filters are available to limit the visible entries by
definable criteria. Full customization for printing is possible through
editing the default XSLT file. It can import CSV, Bibtex, and Bibtexml and
export CSV, HTML, Bibtex, Bibtexml, and PilotDB. Entries may be imported
directly from Amazon.com.


%prep
%setup -q

%build

mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} -DENABLE_WEBCAM:BOOL=ON ..
popd

make %{?_smp_mflags}  -C %{_target_platform}

%install
rm -rf $RPM_BUILD_ROOT
make install/fast DESTDIR=$RPM_BUILD_ROOT  -C %{_target_platform}
%find_lang %{name} --with-kde

rm -f $RPM_BUILD_ROOT%{_datadir}/applications/mimeinfo.cache

desktop-file-install --vendor="" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 \
  $RPM_BUILD_ROOT%{_datadir}/applications/kde4/*

%post
touch --no-create %{_datadir}/icons/hicolor || :

%postun
if [ $1 -eq 0 ] ; then
  update-desktop-database -q &> /dev/null
  update-mime-database %{_kde4_datadir}/mime &> /dev/null
  touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null
  gtk-update-icon-cache -q %{_kde4_iconsdir}/hicolor &> /dev/null || :
fi

%posttrans
update-desktop-database -q &> /dev/null
update-mime-database %{_kde4_datadir}/mime &> /dev/null
gtk-update-icon-cache -q %{_kde4_iconsdir}/hicolor &> /dev/null || :


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING
%{_kde4_bindir}/tellico
%{_kde4_datadir}/applications/kde4/tellico.desktop
%{_kde4_appsdir}/kconf_update/*
%{_kde4_appsdir}/tellico/
%{_kde4_datadir}/config.kcfg/tellico_config.kcfg
%{_kde4_configdir}/tellicorc
%{_kde4_configdir}/tellico-script.knsrc
%{_kde4_configdir}/tellico-template.knsrc
%{_kde4_iconsdir}/hicolor/*/*/*
%{_kde4_datadir}/mimelnk/application/x-tellico.desktop
%{_kde4_datadir}/mime/packages/tellico.xml


%changelog
* Thu Aug 26 2010 Alex Lancaster <alexlan[AT]fedoraproject org> - 2.3-1
- Update to tellico 2.3 (#622431)

* Wed Aug 11 2010 David Malcolm <dmalcolm@redhat.com> - 2.2-3
- recompiling .py files against Python 2.7 (rhbz#623410)

* Wed Apr  7 2010 José Matos <jamatos@fc.up.pt> - 2.2-2
- Rebuild for new libyaz (F14+).

* Wed Feb 24 2010 Alex Lancaster <alexlan[AT]fedoraproject org> - 2.2-1
- Update to upstream version 2.2

* Sat Nov 21 2009 Alex Lancaster <alexlan[AT]fedoraproject org> - 2.1.1-1
- Update to 2.1.1, fixes data loss issue with filters

* Wed Nov 18 2009 Alex Lancaster <alexlan[AT]fedoraproject org> - 2.1-2
- Add BR: libv4l-devel and re-enable webcam support

* Sat Nov  7 2009 Alex Lancaster <alexlan[AT]fedoraproject org> - 2.1-1
- Update to latest upstream 2.1

* Mon Sep 21 2009 José Matos <jamatos@fc.up.pt> - 2.0-1
- stable release

* Sat Sep 19 2009 Rex Dieter <rdieter@fedoraproject.org> - 2.0-0.2.pre2
- use %%_kde4_* macros
- optimize scriptlets
- update URL, Source0

* Fri Sep 11 2009 Alex Lancaster <alexlan[AT]fedoraproject org> - 2.0-0.1.pre2
- Update to upstream version 2.0 pre-release 2
- Drop gcc4 patch, now upstream

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Mar  5 2009 Alex Lancaster <alexlan[AT]fedoraproject org> - 1.3.5-1
- Update to latest upstream (1.3.5)
- Add a patch from upstream SVN r3410 which fixes build with GCC 4.4

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Dec 01 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.3.4-3
- Rebuild for Python 2.6

* Fri Nov 28 2008 Caolán McNamara <caolanm@redhat.com> - 1.3.4-2
- rebuild for dependencies

* Thu Sep 18 2008 José Matos <jamatos@fc.up.pt> - 1.3.4-1
- update to 1.3.4

* Thu Jul 17 2008 José Matos <jamatos[AT]fc.up.pt> - 1.3.3-1
- update to 1.3.3

* Sun May 25 2008 Alex Lancaster <alexlan[AT]fedoraproject org> - 1.3.2.1-1
- Updated to latest upstream (1.3.2.1)

* Thu May 22 2008 Alex Lancaster <alexlan[AT]fedoraproject org> - 1.3.1-3
- Only kdepim3-devel if <= F-9, the KDE3 version of kdepim has been been
  removed from F-10/rawhide.

* Tue May 20 2008 Alex Lancaster <alexlan[AT]fedoraproject org> - 1.3.1-2
- Rebuild for new deps.

* Wed Mar 19 2008 Alex Lancaster <alexlan[AT]fedoraproject org> - 1.3.1-1
- New upstream release (1.3.1)

* Mon Feb  4 2008 José Matos <jamatos[AT]fc.up.pt> - 1.3-5
- Unify spec file for F7-F9.

* Sat Feb  2 2008 José Matos <jamatos[AT]fc.up.pt> - 1.3-4
- Fix build dependency on poppler (qt version).

* Fri Feb  1 2008 José Matos <jamatos[AT]fc.up.pt> - 1.3-3
- Add support to parse pdf metadata.

* Wed Jan 30 2008 Alex Lancaster <alexlan[AT]fedoraproject org> - 1.3-2
- Enable webcam support.
- Install missing MIME file.

* Wed Jan 30 2008 José Matos <jamatos[AT]fc.up.pt> - 1.3-1
- New release.

* Wed Dec 12 2007 Alex Lancaster <alexlan[AT]fedoraproject.org> - 1.2.14-6
- Remove BR: kdemultimedia3-devel, no longer available

* Wed Dec 12 2007 Alex Lancaster <alexlan[AT]fedoraproject.org> - 1.2.14-5
- Rebuild for new kdemultimedia

* Fri Dec 07 2007 Alex Lancaster <alexlan[AT]fedoraproject.org> - 1.2.14-4
- Specify kde{libs,multimedia,pim}3-devel for BR (kdelibs-devel now provides KDE 4)

* Thu Dec  6 2007 José Matos <jamatos[AT]fc.up.pt> - 1.2.14-3
- Rebuild for new libssl (F9+).

* Thu Sep 27 2007 José Matos <jamatos[AT]fc.up.pt> - 1.2.14-2
- Declare new file (due to the fix for Fedora 7).

* Thu Sep 27 2007 José Matos <jamatos[AT]fc.up.pt> - 1.2.14-1
- New upstream version (fixes problem with settings not being saved on Fedora).

* Mon Aug 27 2007 José Matos <jamatos[AT]fc.up.pt> - 1.2.13-2
- License fix, rebuild for devel (F8).

* Sat Aug 11 2007 José Matos <jamatos[AT]fc.up.pt> - 1.2.13-1
- New upstream version.

* Wed Jul 25 2007 José Matos <jamatos[AT]fc.up.pt> - 1.2.12-1
- New upstream version.

* Thu Jun  7 2007 José Matos <jamatos[AT]fc.up.pt> - 1.2.11-1
- New upstream version.

* Sat Apr 21 2007 José Matos <jamatos[AT]fc.up.pt> - 1.2.10-1
- New upstream version.

* Thu Mar  8 2007 José Matos <jamatos[AT]fc.up.pt> - 1.2.9-1
- Update to 1.2.9.

* Tue Feb  6 2007 José Matos <jamatos[AT]fc.up.pt> - 1.2.8-1
- New upstream version.

* Mon Feb  5 2007 José Matos <jamatos[AT]fc.up.pt> - 1.2.7-3
- Condicionalize the BR for tcp_wrappers, it has a proper devel file
  for Fedora >= 7.

* Tue Jan 30 2007 José Matos <jamatos[AT]fc.up.pt> - 1.2.7-2
- BR tcp_wrappers.

* Tue Jan 30 2007 José Matos <jamatos[AT]fc.up.pt> - 1.2.7-1
- New upstream version.

* Mon Dec  4 2006 José Matos <jamatos[AT]fc.up.pt> - 1.2.6-1
- New upstream version.

* Thu Oct 05 2006 Christian Iseli <Christian.Iseli@licr.org> 1.2.2-2
 - rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Tue Sep 19 2006 José Matos <jamatos[AT]fc.up.pt> - 1.2.2-1
- Revert desktop file to original one, and drop vendor.
- New upstream release.
- Pass --disable-rpath to configure.

* Sun Sep  3 2006 José Matos <jamatos[AT]fc.up.pt> - 1.2-2
- --vendor=fedora
- Use correct capitalization for Summary
- Remove useless entries in docs.

* Fri Sep  1 2006 José Matos <jamatos[AT]fc.up.pt> - 1.2-1
- Submitted to Fedora Extras (loosely based on Dag and Dries version)

